VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo:
[legend]

## Public Member Functions

| BindBufferMemoryInfo (Buffer buffer_=Buffer(), DeviceMemory memory_=DeviceMemory(), DeviceSize memoryOffset_=0)
| BindBufferMemoryInfo (VkBindBufferMemoryInfo const &rhs)
BindBufferMemoryInfo & | operator= (VkBindBufferMemoryInfo const &rhs)
BindBufferMemoryInfo & | setPNext (const void *pNext_)
BindBufferMemoryInfo & | setBuffer (Buffer buffer_)
BindBufferMemoryInfo & | setMemory (DeviceMemory memory_)
BindBufferMemoryInfo & | setMemoryOffset (DeviceSize memoryOffset_)
| operator VkBindBufferMemoryInfo const & () const
| operator VkBindBufferMemoryInfo & ()
bool | operator== (BindBufferMemoryInfo const &rhs) const
bool | operator!= (BindBufferMemoryInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
Buffer | buffer
DeviceMemory | memory
DeviceSize | memoryOffset

## Private Attributes

StructureType | sType = StructureType::eBindBufferMemoryInfo

## Detailed Description

Definition at line 14194 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BindBufferMemoryInfo() [1/2]

VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::BindBufferMemoryInfo | ( | Buffer | buffer_ = `Buffer()`,
|  | DeviceMemory | memory_ = `DeviceMemory()`,
|  | DeviceSize | memoryOffset_ = `0`
| ) |  |

inline

Definition at line 14196 of file vulkan.hpp.

: buffer( buffer_ )
, memory( memory_ )
, memoryOffset( memoryOffset_ )
{
}

## BindBufferMemoryInfo() [2/2]

VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::BindBufferMemoryInfo | ( | VkBindBufferMemoryInfo const & | rhs | ) |

inline

Definition at line 14205 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindBufferMemoryInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkBindBufferMemoryInfo &()

VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::operator VkBindBufferMemoryInfo & | ( |  | ) |

inline

Definition at line 14244 of file vulkan.hpp.

{
return *reinterpret_cast<VkBindBufferMemoryInfo*>(this);
}

## operator VkBindBufferMemoryInfo const &()

VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::operator VkBindBufferMemoryInfo const & | ( |  | ) | const

inline

Definition at line 14239 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBindBufferMemoryInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::operator!= | ( | BindBufferMemoryInfo const & | rhs | ) | const

inline

Definition at line 14258 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BindBufferMemoryInfo& VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::operator= | ( | VkBindBufferMemoryInfo const & | rhs | ) |

inline

Definition at line 14210 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindBufferMemoryInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::operator== | ( | BindBufferMemoryInfo const & | rhs | ) | const

inline

Definition at line 14249 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( buffer == rhs.buffer )
&& ( memory == rhs.memory )
&& ( memoryOffset == rhs.memoryOffset );
}

References buffer, memory, memoryOffset, pNext, and sType.

Referenced by operator!=().

## setBuffer()

BindBufferMemoryInfo& VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::setBuffer | ( | Buffer | buffer_ | ) |

inline

Definition at line 14221 of file vulkan.hpp.

{
buffer = buffer_;
return *this;
}

## setMemory()

BindBufferMemoryInfo& VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::setMemory | ( | DeviceMemory | memory_ | ) |

inline

Definition at line 14227 of file vulkan.hpp.

{
memory = memory_;
return *this;
}

## setMemoryOffset()

BindBufferMemoryInfo& VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::setMemoryOffset | ( | DeviceSize | memoryOffset_ | ) |

inline

Definition at line 14233 of file vulkan.hpp.

{
memoryOffset = memoryOffset_;
return *this;
}

References memoryOffset.

## setPNext()

BindBufferMemoryInfo& VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 14215 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## buffer

Buffer VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::buffer

Definition at line 14268 of file vulkan.hpp.

Referenced by operator==().

## memory

DeviceMemory VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::memory

Definition at line 14269 of file vulkan.hpp.

Referenced by operator==().

## memoryOffset

DeviceSize VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::memoryOffset

Definition at line 14270 of file vulkan.hpp.

Referenced by operator==(), and setMemoryOffset().

## pNext

const void* VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::pNext = nullptr

Definition at line 14267 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::sType = StructureType::eBindBufferMemoryInfo

private

Definition at line 14264 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::operator==
bool operator==(BindBufferMemoryInfo const &rhs) const
Definition: vulkan.hpp:14249
VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::buffer
Buffer buffer
Definition: vulkan.hpp:14268
memcpy
#define memcpy
Definition: SDL_malloc.c:630
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::memoryOffset
DeviceSize memoryOffset
Definition: vulkan.hpp:14270
VkBindBufferMemoryInfo
Definition: vulkan_core.h:4011
VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::sType
StructureType sType
Definition: vulkan.hpp:14264
VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::pNext
const void * pNext
Definition: vulkan.hpp:14267
memory
GLsizei GLenum GLsizei GLsizei GLuint memory
Definition: gl2ext.h:1474
VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::BindBufferMemoryInfo
BindBufferMemoryInfo(Buffer buffer_=Buffer(), DeviceMemory memory_=DeviceMemory(), DeviceSize memoryOffset_=0)
Definition: vulkan.hpp:14196
VULKAN_HPP_NAMESPACE::BindBufferMemoryInfo::memory
DeviceMemory memory
Definition: vulkan.hpp:14269